function fitness=compute_fitness(para_n,workerNo)

%choose appropriate model (with or without carrier layer)
modell={'model1d_verif2_with','model1d_verif2_without'};
if para_n(2)<50e-6
    para_n(2)=0;
    model_=modell{2};
else
    model_=modell{1};
end

%compute model
import com.comsol.model.*
import com.comsol.model.util.*

model=ModelUtil.load(['M' num2str(workerNo)], [cd '\Output',num2str(workerNo),'\',model_,num2str(workerNo),'.mph']);
if ~isempty(workerNo)
ModelUtil.showProgress(true)
end

model.param.set('w_carrier', [num2str(para_n(2)),'[m]']);
model.param.set('w_fluid', [num2str(para_n(3)),'[m]']);
model.param.set('w_reflector', [num2str(para_n(4)),'[m]']);
model.param.set('freq', [num2str(para_n(1)),'[Hz]'], 'frequency');
model.study('std1').run;

%export value of max force
model.result.table('tbl1').clearTableData;
model.result.numerical('max1').set('table', 'tbl1');
model.result.numerical('max1').setResult;
Fmax=model.result.table('tbl1').getReal;
%fitness
fitness=-Fmax;

ModelUtil.remove(['M' num2str(workerNo)])
end