function f=foptim14(para,scale_factor,setup_date)

%get current worker, and start appropriate comsol connection
workerNo=start_comsol_worker;

%parameters (de-normalized)
para_n=de_normalize(para,scale_factor);

%try-catch loop to catch errors and set fitness value to 0 (ie a very bad value)
try
    %compute model and calculate fitness
    f=compute_fitness(para_n,workerNo);
catch exception
   fid=fopen([cd '\errors_' setup_date '.txt'],'a');
   fprintf(fid,'%s%6.12f%s%6.12f%s%6.12f%s%6.12f%s%s\n','freq=',para_n(1),', w_carrier=',para_n(2),', w_fluid=',para_n(3),', w_reflector=',para_n(4),', error: ',getReport(exception));
   fclose(fid); 
   
   f=0;
end
end

