function fitness=compute_fitness(para_n,workerNo)

%particle/liquid properties
a=6.95e-6;
rho0=1000;
c0=1480;
kappa0=1/(rho0*c0^2);
f1=0.602;
f2=-0.362;

%set parameter values and compute model
%compute model
import com.comsol.model.*
import com.comsol.model.util.*

model=ModelUtil.load(['M' num2str(workerNo)], [cd '\Output',num2str(workerNo),'\3D_optim_end',num2str(workerNo),'.mph']);
if ~isempty(workerNo)
ModelUtil.showProgress(true)
end

model.param.set('x_piezo', [num2str(para_n(2)),'[m]'], 'Piezo dimensions');
model.param.set('y_piezo', [num2str(para_n(3)),'[m]']);
model.param.set('pos_x', [num2str(para_n(4)),'[m]'], 'Piezo position');
model.param.set('pos_y', [num2str(para_n(5)),'[m]']);
model.param.set('freq', [num2str(para_n(1)),'[Hz]']);
model.param.set('y_gl', [num2str(para_n(6)),'[m]']);

model.study('std1').run;

%save pressure, meshvol etc in textfile
model.result.export('data1').set('filename', [cd '\Temp\t' num2str(workerNo) '.txt']);
model.result.export('data1').run;

%read in pressure, derviative, meshvol, coordinates
f=fopen( [cd '\Temp\t' num2str(workerNo) '.txt']);
t=textscan(f,'%f %f %f %f %f %f %f %f','HeaderLines', 9);
fclose(f);

p=t{4}';
x=t{1}';
y=t{2}';
z=t{3}';

dp_x=t{5}';
dp_y=t{6}';
dp_z=t{7}';
gradp=[dp_x;dp_y;dp_z];

m=t{8}';

%total volume (x*y*z cavity)
z_kanal=.2e-3;
l_square=1.2e-3;
vol=l_square*l_square*z_kanal;

%drehe kos
% angle=para_n.angle;
% x1=cos(angle*pi/180)*x+sin(angle*pi/180)*y;
% y1=-sin(angle*pi/180)*x+cos(angle*pi/180)*y;
x1=x;
y1=y;

%p_ideal
freq=para_n(1);
b=pi/l_square;
c=pi/l_square;
p_ideal=sin(b*x1).*sin(c*y1); % (1,1)-mode
dp_ideal=[b*cos(b*x1).*sin(c*y1);c*cos(c*y1).*sin(b*x1);zeros(length(x1))];
v1_ideal=-1i*1/(rho0*2*pi*freq)*dp_ideal;

I_ideal=4/3*pi*a^3*(.5*f1*kappa0*.5*real(p_ideal.*conj(p_ideal))-3/4*f2*rho0*.5*real(sum(v1_ideal.*conj(v1_ideal),1)));
I_ideal=I_ideal/max(I_ideal);% normalization
%I of simulation
v1=-1i*1/(rho0*2*pi*freq)*gradp;
I=4/3*pi*a^3*(.5*f1*kappa0*.5*real(p.*conj(p))-3/4*f2*rho0*.5*real(sum(v1.*conj(v1),1)));

%fitness
fitness=-(dot(m.*I,I_ideal))/sum(m);
end